Folks.ObjectCache.store_objects – folks Reference Manual

# store_objects

## Description:

public async void store_objects (Set<T> objects, Cancellable? cancellable = null)

Store a set of objects to the cache file, overwriting any existing set of objects in the cache, or creating the cache file from scratch if it didn't previously exist.

Storing the objects can be cancelled using `cancellable`. If it is, the cache will be left in a consistent state, but may be storing the old set of objects or the new set.

This method is safe to call multiple times concurrently.

## Parameters:

objects | A set of objects to store. This may be empty, but may not be `null`.
cancellable | A GLib.Cancellable for the operation, or `null`.

## Since:

0.6.0